/*********************************************************
*Copyright (C), 2018, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  Jiayc
*版  本:  V1.00
*日  期:  2020/8/24
*描  述:  FreeRTOS_Mutexes演示程序
          MCU：ES8P5088
          FreeRTOS版本：v10.2.1
          创建LED闪烁任务
          硬件管脚：LED:PA14
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "ES8P508x.h"
#include "FreeRTOS.h"
#include "task.h"

void vLED_Task(void *param);
void LED_init(void);

int main()
{
    xTaskCreate(vLED_Task,      //创建任务
                "LED",
                128,
                NULL,
                2,
                NULL);

    vTaskStartScheduler();      //开始调度

    for (;;)
    {

    }
}

void vLED_Task(void *param)
{
    LED_init();

    for (;;)
    {
        GPIO->PADATABRR.Word = 1U << 14;
        vTaskDelay(500);
    }
}

void LED_init()
{
    SCU->PROT.Word = 0X55AA6996;
    SCU->PCLKEN0.GPIO_EN = 1;

    GPIO->PADIR.DIR_14 = 0;
}
